import { HTMLAttributes } from "react";
import { ClassComposerReturns, ComposerConfig, ComponentAttributes } from "../types";
/**
 * Hook that parses a set of parameters based on a configuration object and returns applicable classnames
 *
 *
 * @export
 * @template P extends ComponentAttributes
 * @template A extends HTMLAttributes<any> = HTMLAttributes<any>
 * @param {ComposerConfig<P, A>} config the configuration object
 * @param {(P & A)} props the props to parse
 * @returns {ClassComposerReturns<A>} { className, forwardProps }
 */
export declare function useClassComposer<P extends ComponentAttributes, A extends HTMLAttributes<any> = HTMLAttributes<any>>(config: ComposerConfig<P, A>, props: P & A): ClassComposerReturns<A>;
